Subject: Re: bug#14724: 24.3.50; `isearch-open-necessary-overlays' handling of overlay property 'isearch-open-invisible'

From: Stefan Monnier <[email-masked]>
Date: Wed, 26 Jun 2013 21:37:30 -0400

> The code would be more robust if it would gracefully handle (1) an
> non-functional value and perhaps

Wouldn't such a non-function non-nil value reflect an error in an
Elisp package?  If so, why should we silence it?

> For (1+2), that could be wrapped in `ignore-errors'.

I thing I disagree with ignore-errors here (at least, I don't think such
errors are normal, so they shouldn't be silenced), but using
with-demoted-errors could make sense if errors in this code could make
isearch non-functional.  Is that the case?

        Stefan